﻿local screenW,screenH = guiGetScreenSize()
local resW, resH = 1280,720
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function Pandola ( ... )
    if (not isPlayerMapVisible()) then

        local Vida = math.floor(getElementHealth(getLocalPlayer()))
		local Colete = math.floor(getPedArmor(localPlayer))
        local Fome = getElementData(getLocalPlayer(), "hunger") or 100
        local Sede = getElementData(getLocalPlayer(), "sede") or 100

        dxDrawImage(screenW * 0.8156, screenH * 0.8431, screenW * 0.0117, screenH * 0.0000, "files/barra.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.8008, screenH * 0.8569, screenW * 0.1594, screenH * 0.0319, "files/barra.png", 0, 0, 0, tocolor(9, 9, 9, 151), false)
        dxDrawImage(screenW * 0.9602, screenH * 0.8500, screenW * 0.0234, screenH * 0.0389, "files/circulo.png", 0, 0, 0, tocolor(9, 9, 9, 151), false)
        dxDrawImage(screenW * 0.9602, screenH * 0.9194, screenW * 0.0234, screenH * 0.0389, "files/circulo.png", 0, 0, 0, tocolor(9, 9, 9, 151), false)
        dxDrawImage(screenW * 0.4492, screenH * 0.0139, screenW * 0.0945, screenH * 0.1097, "files/logo.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawRectangle(screenW * 0.9555, screenH * 0.8042, screenW * 0.0281, screenH * 0.0389, tocolor(9, 9, 9, 151), false)
        dxDrawImage(screenW * 0.8063, screenH * 0.8653, screenW * 0.1492*Vida/100, screenH * 0.0153, "files/barra.png", 0, 0, 0, tocolor(230, 38, 38, 151), false)
        dxDrawImage(screenW * 0.9656, screenH * 0.8597, screenW * 0.0133, screenH * 0.0208, "files/hp.png", 0, 0, 0, tocolor(230, 38, 38, 151), false)
        dxDrawImage(screenW * 0.8008, screenH * 0.9194, screenW * 0.1594, screenH * 0.0319, "files/barra.png", 0, 0, 0, tocolor(9, 9, 9, 151), false)
        dxDrawImage(screenW * 0.8078, screenH * 0.9292, screenW * 0.1477*Colete/100, screenH * 0.0153, "files/barra.png", 0, 0, 0, tocolor(71, 106, 196, 151), false)
        dxDrawImage(screenW * 0.9648, screenH * 0.9278, screenW * 0.0141, screenH * 0.0236, "files/shield.png", 0, 0, 0, tocolor(71, 106, 196, 151), false)
        dxDrawRectangle(screenW * 0.9141, screenH * 0.8042, screenW * 0.0281, screenH * 0.0389, tocolor(9, 9, 9, 151), false)
        dxDrawRectangle(screenW * 0.9164, screenH * 0.8083, screenW * 0.0234*Fome/100, screenH * 0.0319, tocolor(213, 117, 31, 255), false)
        dxDrawRectangle(screenW * 0.9578, screenH * 0.8083, screenW * 0.0234*Sede/100, screenH * 0.0319, tocolor(42, 201, 169, 255), false)
        dxDrawImage(screenW * 0.9625, screenH * 0.8111, screenW * 0.0141, screenH * 0.0236, "files/gota.png", 0, 0, 0, tocolor(254, 254, 254, 255), false)
        dxDrawImage(screenW * 0.9187, screenH * 0.8111, screenW * 0.0180, screenH * 0.0236, "files/fome.png", 0, 0, 0, tocolor(254, 254, 254, 255), false)

    end
end

function setHud()
    addEventHandler("onClientRender", getRootElement(), Pandola)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)